# pyright: reportUnusedImport=false
from abc import ABCMeta
from ..core import Serializable
class Error(Serializable, metaclass=ABCMeta): pass
class Null(Serializable, metaclass=ABCMeta): pass
class InputPeer(Serializable, metaclass=ABCMeta): pass
class InputUser(Serializable, metaclass=ABCMeta): pass
class InputContact(Serializable, metaclass=ABCMeta): pass
class InputFile(Serializable, metaclass=ABCMeta): pass
class InputMedia(Serializable, metaclass=ABCMeta): pass
class InputChatPhoto(Serializable, metaclass=ABCMeta): pass
class InputGeoPoint(Serializable, metaclass=ABCMeta): pass
class InputPhoto(Serializable, metaclass=ABCMeta): pass
class InputFileLocation(Serializable, metaclass=ABCMeta): pass
class Peer(Serializable, metaclass=ABCMeta): pass
class User(Serializable, metaclass=ABCMeta): pass
class UserProfilePhoto(Serializable, metaclass=ABCMeta): pass
class UserStatus(Serializable, metaclass=ABCMeta): pass
class Chat(Serializable, metaclass=ABCMeta): pass
class ChatFull(Serializable, metaclass=ABCMeta): pass
class ChatParticipant(Serializable, metaclass=ABCMeta): pass
class ChatParticipants(Serializable, metaclass=ABCMeta): pass
class ChatPhoto(Serializable, metaclass=ABCMeta): pass
class Message(Serializable, metaclass=ABCMeta): pass
class MessageMedia(Serializable, metaclass=ABCMeta): pass
class MessageAction(Serializable, metaclass=ABCMeta): pass
class Dialog(Serializable, metaclass=ABCMeta): pass
class Photo(Serializable, metaclass=ABCMeta): pass
class PhotoSize(Serializable, metaclass=ABCMeta): pass
class GeoPoint(Serializable, metaclass=ABCMeta): pass
class InputNotifyPeer(Serializable, metaclass=ABCMeta): pass
class InputPeerNotifySettings(Serializable, metaclass=ABCMeta): pass
class PeerNotifySettings(Serializable, metaclass=ABCMeta): pass
class PeerSettings(Serializable, metaclass=ABCMeta): pass
class WallPaper(Serializable, metaclass=ABCMeta): pass
class ReportReason(Serializable, metaclass=ABCMeta): pass
class UserFull(Serializable, metaclass=ABCMeta): pass
class Contact(Serializable, metaclass=ABCMeta): pass
class ImportedContact(Serializable, metaclass=ABCMeta): pass
class ContactStatus(Serializable, metaclass=ABCMeta): pass
class MessagesFilter(Serializable, metaclass=ABCMeta): pass
class Update(Serializable, metaclass=ABCMeta): pass
class Updates(Serializable, metaclass=ABCMeta): pass
class DcOption(Serializable, metaclass=ABCMeta): pass
class Config(Serializable, metaclass=ABCMeta): pass
class NearestDc(Serializable, metaclass=ABCMeta): pass
class EncryptedChat(Serializable, metaclass=ABCMeta): pass
class InputEncryptedChat(Serializable, metaclass=ABCMeta): pass
class EncryptedFile(Serializable, metaclass=ABCMeta): pass
class InputEncryptedFile(Serializable, metaclass=ABCMeta): pass
class EncryptedMessage(Serializable, metaclass=ABCMeta): pass
class InputDocument(Serializable, metaclass=ABCMeta): pass
class Document(Serializable, metaclass=ABCMeta): pass
class NotifyPeer(Serializable, metaclass=ABCMeta): pass
class SendMessageAction(Serializable, metaclass=ABCMeta): pass
class InputPrivacyKey(Serializable, metaclass=ABCMeta): pass
class PrivacyKey(Serializable, metaclass=ABCMeta): pass
class InputPrivacyRule(Serializable, metaclass=ABCMeta): pass
class PrivacyRule(Serializable, metaclass=ABCMeta): pass
class AccountDaysTtl(Serializable, metaclass=ABCMeta): pass
class DocumentAttribute(Serializable, metaclass=ABCMeta): pass
class StickerPack(Serializable, metaclass=ABCMeta): pass
class WebPage(Serializable, metaclass=ABCMeta): pass
class Authorization(Serializable, metaclass=ABCMeta): pass
class ReceivedNotifyMessage(Serializable, metaclass=ABCMeta): pass
class ExportedChatInvite(Serializable, metaclass=ABCMeta): pass
class ChatInvite(Serializable, metaclass=ABCMeta): pass
class InputStickerSet(Serializable, metaclass=ABCMeta): pass
class StickerSet(Serializable, metaclass=ABCMeta): pass
class BotCommand(Serializable, metaclass=ABCMeta): pass
class BotInfo(Serializable, metaclass=ABCMeta): pass
class KeyboardButton(Serializable, metaclass=ABCMeta): pass
class KeyboardButtonRow(Serializable, metaclass=ABCMeta): pass
class ReplyMarkup(Serializable, metaclass=ABCMeta): pass
class MessageEntity(Serializable, metaclass=ABCMeta): pass
class InputChannel(Serializable, metaclass=ABCMeta): pass
class MessageRange(Serializable, metaclass=ABCMeta): pass
class ChannelMessagesFilter(Serializable, metaclass=ABCMeta): pass
class ChannelParticipant(Serializable, metaclass=ABCMeta): pass
class ChannelParticipantsFilter(Serializable, metaclass=ABCMeta): pass
class InputBotInlineMessage(Serializable, metaclass=ABCMeta): pass
class InputBotInlineResult(Serializable, metaclass=ABCMeta): pass
class BotInlineMessage(Serializable, metaclass=ABCMeta): pass
class BotInlineResult(Serializable, metaclass=ABCMeta): pass
class ExportedMessageLink(Serializable, metaclass=ABCMeta): pass
class MessageFwdHeader(Serializable, metaclass=ABCMeta): pass
class InputBotInlineMessageId(Serializable, metaclass=ABCMeta): pass
class InlineBotSwitchPm(Serializable, metaclass=ABCMeta): pass
class TopPeer(Serializable, metaclass=ABCMeta): pass
class TopPeerCategory(Serializable, metaclass=ABCMeta): pass
class TopPeerCategoryPeers(Serializable, metaclass=ABCMeta): pass
class DraftMessage(Serializable, metaclass=ABCMeta): pass
class StickerSetCovered(Serializable, metaclass=ABCMeta): pass
class MaskCoords(Serializable, metaclass=ABCMeta): pass
class InputStickeredMedia(Serializable, metaclass=ABCMeta): pass
class Game(Serializable, metaclass=ABCMeta): pass
class InputGame(Serializable, metaclass=ABCMeta): pass
class HighScore(Serializable, metaclass=ABCMeta): pass
class RichText(Serializable, metaclass=ABCMeta): pass
class PageBlock(Serializable, metaclass=ABCMeta): pass
class PhoneCallDiscardReason(Serializable, metaclass=ABCMeta): pass
class DataJson(Serializable, metaclass=ABCMeta): pass
class LabeledPrice(Serializable, metaclass=ABCMeta): pass
class Invoice(Serializable, metaclass=ABCMeta): pass
class PaymentCharge(Serializable, metaclass=ABCMeta): pass
class PostAddress(Serializable, metaclass=ABCMeta): pass
class PaymentRequestedInfo(Serializable, metaclass=ABCMeta): pass
class PaymentSavedCredentials(Serializable, metaclass=ABCMeta): pass
class WebDocument(Serializable, metaclass=ABCMeta): pass
class InputWebDocument(Serializable, metaclass=ABCMeta): pass
class InputWebFileLocation(Serializable, metaclass=ABCMeta): pass
class InputPaymentCredentials(Serializable, metaclass=ABCMeta): pass
class ShippingOption(Serializable, metaclass=ABCMeta): pass
class InputStickerSetItem(Serializable, metaclass=ABCMeta): pass
class InputPhoneCall(Serializable, metaclass=ABCMeta): pass
class PhoneCall(Serializable, metaclass=ABCMeta): pass
class PhoneConnection(Serializable, metaclass=ABCMeta): pass
class PhoneCallProtocol(Serializable, metaclass=ABCMeta): pass
class CdnPublicKey(Serializable, metaclass=ABCMeta): pass
class CdnConfig(Serializable, metaclass=ABCMeta): pass
class LangPackString(Serializable, metaclass=ABCMeta): pass
class LangPackDifference(Serializable, metaclass=ABCMeta): pass
class LangPackLanguage(Serializable, metaclass=ABCMeta): pass
class ChannelAdminLogEventAction(Serializable, metaclass=ABCMeta): pass
class ChannelAdminLogEvent(Serializable, metaclass=ABCMeta): pass
class ChannelAdminLogEventsFilter(Serializable, metaclass=ABCMeta): pass
class PopularContact(Serializable, metaclass=ABCMeta): pass
class RecentMeUrl(Serializable, metaclass=ABCMeta): pass
class InputSingleMedia(Serializable, metaclass=ABCMeta): pass
class WebAuthorization(Serializable, metaclass=ABCMeta): pass
class InputMessage(Serializable, metaclass=ABCMeta): pass
class InputDialogPeer(Serializable, metaclass=ABCMeta): pass
class DialogPeer(Serializable, metaclass=ABCMeta): pass
class FileHash(Serializable, metaclass=ABCMeta): pass
class InputClientProxy(Serializable, metaclass=ABCMeta): pass
class InputSecureFile(Serializable, metaclass=ABCMeta): pass
class SecureFile(Serializable, metaclass=ABCMeta): pass
class SecureData(Serializable, metaclass=ABCMeta): pass
class SecurePlainData(Serializable, metaclass=ABCMeta): pass
class SecureValueType(Serializable, metaclass=ABCMeta): pass
class SecureValue(Serializable, metaclass=ABCMeta): pass
class InputSecureValue(Serializable, metaclass=ABCMeta): pass
class SecureValueHash(Serializable, metaclass=ABCMeta): pass
class SecureValueError(Serializable, metaclass=ABCMeta): pass
class SecureCredentialsEncrypted(Serializable, metaclass=ABCMeta): pass
class SavedContact(Serializable, metaclass=ABCMeta): pass
class PasswordKdfAlgo(Serializable, metaclass=ABCMeta): pass
class SecurePasswordKdfAlgo(Serializable, metaclass=ABCMeta): pass
class SecureSecretSettings(Serializable, metaclass=ABCMeta): pass
class InputCheckPasswordSrp(Serializable, metaclass=ABCMeta): pass
class SecureRequiredType(Serializable, metaclass=ABCMeta): pass
class InputAppEvent(Serializable, metaclass=ABCMeta): pass
class JsonObjectValue(Serializable, metaclass=ABCMeta): pass
class JsonValue(Serializable, metaclass=ABCMeta): pass
class PageTableCell(Serializable, metaclass=ABCMeta): pass
class PageTableRow(Serializable, metaclass=ABCMeta): pass
class PageCaption(Serializable, metaclass=ABCMeta): pass
class PageListItem(Serializable, metaclass=ABCMeta): pass
class PageListOrderedItem(Serializable, metaclass=ABCMeta): pass
class PageRelatedArticle(Serializable, metaclass=ABCMeta): pass
class Page(Serializable, metaclass=ABCMeta): pass
class PollAnswer(Serializable, metaclass=ABCMeta): pass
class Poll(Serializable, metaclass=ABCMeta): pass
class PollAnswerVoters(Serializable, metaclass=ABCMeta): pass
class PollResults(Serializable, metaclass=ABCMeta): pass
class ChatOnlines(Serializable, metaclass=ABCMeta): pass
class StatsUrl(Serializable, metaclass=ABCMeta): pass
class ChatAdminRights(Serializable, metaclass=ABCMeta): pass
class ChatBannedRights(Serializable, metaclass=ABCMeta): pass
class InputWallPaper(Serializable, metaclass=ABCMeta): pass
class CodeSettings(Serializable, metaclass=ABCMeta): pass
class WallPaperSettings(Serializable, metaclass=ABCMeta): pass
class AutoDownloadSettings(Serializable, metaclass=ABCMeta): pass
class EmojiKeyword(Serializable, metaclass=ABCMeta): pass
class EmojiKeywordsDifference(Serializable, metaclass=ABCMeta): pass
class EmojiUrl(Serializable, metaclass=ABCMeta): pass
class EmojiLanguage(Serializable, metaclass=ABCMeta): pass
class Folder(Serializable, metaclass=ABCMeta): pass
class InputFolderPeer(Serializable, metaclass=ABCMeta): pass
class FolderPeer(Serializable, metaclass=ABCMeta): pass
class UrlAuthResult(Serializable, metaclass=ABCMeta): pass
class ChannelLocation(Serializable, metaclass=ABCMeta): pass
class PeerLocated(Serializable, metaclass=ABCMeta): pass
class RestrictionReason(Serializable, metaclass=ABCMeta): pass
class InputTheme(Serializable, metaclass=ABCMeta): pass
class Theme(Serializable, metaclass=ABCMeta): pass
class BaseTheme(Serializable, metaclass=ABCMeta): pass
class InputThemeSettings(Serializable, metaclass=ABCMeta): pass
class ThemeSettings(Serializable, metaclass=ABCMeta): pass
class WebPageAttribute(Serializable, metaclass=ABCMeta): pass
class BankCardOpenUrl(Serializable, metaclass=ABCMeta): pass
class DialogFilter(Serializable, metaclass=ABCMeta): pass
class DialogFilterSuggested(Serializable, metaclass=ABCMeta): pass
class StatsDateRangeDays(Serializable, metaclass=ABCMeta): pass
class StatsAbsValueAndPrev(Serializable, metaclass=ABCMeta): pass
class StatsPercentValue(Serializable, metaclass=ABCMeta): pass
class StatsGraph(Serializable, metaclass=ABCMeta): pass
class MessageInteractionCounters(Serializable, metaclass=ABCMeta): pass
class VideoSize(Serializable, metaclass=ABCMeta): pass
class StatsGroupTopPoster(Serializable, metaclass=ABCMeta): pass
class StatsGroupTopAdmin(Serializable, metaclass=ABCMeta): pass
class StatsGroupTopInviter(Serializable, metaclass=ABCMeta): pass
class GlobalPrivacySettings(Serializable, metaclass=ABCMeta): pass
class MessageViews(Serializable, metaclass=ABCMeta): pass
class MessageReplyHeader(Serializable, metaclass=ABCMeta): pass
class MessageReplies(Serializable, metaclass=ABCMeta): pass
class PeerBlocked(Serializable, metaclass=ABCMeta): pass
class GroupCall(Serializable, metaclass=ABCMeta): pass
class InputGroupCall(Serializable, metaclass=ABCMeta): pass
class GroupCallParticipant(Serializable, metaclass=ABCMeta): pass
class InlineQueryPeerType(Serializable, metaclass=ABCMeta): pass
class ChatInviteImporter(Serializable, metaclass=ABCMeta): pass
class ChatAdminWithInvites(Serializable, metaclass=ABCMeta): pass
class GroupCallParticipantVideoSourceGroup(Serializable, metaclass=ABCMeta): pass
class GroupCallParticipantVideo(Serializable, metaclass=ABCMeta): pass
class BotCommandScope(Serializable, metaclass=ABCMeta): pass
class SponsoredMessage(Serializable, metaclass=ABCMeta): pass
class SearchResultsCalendarPeriod(Serializable, metaclass=ABCMeta): pass
class SearchResultsPosition(Serializable, metaclass=ABCMeta): pass
class ReactionCount(Serializable, metaclass=ABCMeta): pass
class MessageReactions(Serializable, metaclass=ABCMeta): pass
class AvailableReaction(Serializable, metaclass=ABCMeta): pass
class MessagePeerReaction(Serializable, metaclass=ABCMeta): pass
class GroupCallStreamChannel(Serializable, metaclass=ABCMeta): pass
class AttachMenuBotIconColor(Serializable, metaclass=ABCMeta): pass
class AttachMenuBotIcon(Serializable, metaclass=ABCMeta): pass
class AttachMenuBot(Serializable, metaclass=ABCMeta): pass
class AttachMenuBots(Serializable, metaclass=ABCMeta): pass
class AttachMenuBotsBot(Serializable, metaclass=ABCMeta): pass
class WebViewResult(Serializable, metaclass=ABCMeta): pass
class SimpleWebViewResult(Serializable, metaclass=ABCMeta): pass
class WebViewMessageSent(Serializable, metaclass=ABCMeta): pass
class BotMenuButton(Serializable, metaclass=ABCMeta): pass
class NotificationSound(Serializable, metaclass=ABCMeta): pass
class AttachMenuPeerType(Serializable, metaclass=ABCMeta): pass
class InputInvoice(Serializable, metaclass=ABCMeta): pass
class InputStorePaymentPurpose(Serializable, metaclass=ABCMeta): pass
class PremiumGiftOption(Serializable, metaclass=ABCMeta): pass
class PaymentFormMethod(Serializable, metaclass=ABCMeta): pass
class EmojiStatus(Serializable, metaclass=ABCMeta): pass
class Reaction(Serializable, metaclass=ABCMeta): pass
class ChatReactions(Serializable, metaclass=ABCMeta): pass
class EmailVerifyPurpose(Serializable, metaclass=ABCMeta): pass
class EmailVerification(Serializable, metaclass=ABCMeta): pass
class PremiumSubscriptionOption(Serializable, metaclass=ABCMeta): pass
class SendAsPeer(Serializable, metaclass=ABCMeta): pass
class MessageExtendedMedia(Serializable, metaclass=ABCMeta): pass
class StickerKeyword(Serializable, metaclass=ABCMeta): pass
class Username(Serializable, metaclass=ABCMeta): pass
class ForumTopic(Serializable, metaclass=ABCMeta): pass
class DefaultHistoryTtl(Serializable, metaclass=ABCMeta): pass
class ExportedContactToken(Serializable, metaclass=ABCMeta): pass
class RequestPeerType(Serializable, metaclass=ABCMeta): pass
class EmojiList(Serializable, metaclass=ABCMeta): pass
class EmojiGroup(Serializable, metaclass=ABCMeta): pass
class TextWithEntities(Serializable, metaclass=ABCMeta): pass
class AutoSaveSettings(Serializable, metaclass=ABCMeta): pass
class AutoSaveException(Serializable, metaclass=ABCMeta): pass
class InputBotApp(Serializable, metaclass=ABCMeta): pass
class BotApp(Serializable, metaclass=ABCMeta): pass
class AppWebViewResult(Serializable, metaclass=ABCMeta): pass
class InlineBotWebView(Serializable, metaclass=ABCMeta): pass
class ReadParticipantDate(Serializable, metaclass=ABCMeta): pass
class InputChatlist(Serializable, metaclass=ABCMeta): pass
class ExportedChatlistInvite(Serializable, metaclass=ABCMeta): pass
class MessagePeerVote(Serializable, metaclass=ABCMeta): pass
class SponsoredWebPage(Serializable, metaclass=ABCMeta): pass
class StoryViews(Serializable, metaclass=ABCMeta): pass
class StoryItem(Serializable, metaclass=ABCMeta): pass
class StoryView(Serializable, metaclass=ABCMeta): pass
class InputReplyTo(Serializable, metaclass=ABCMeta): pass
class ExportedStoryLink(Serializable, metaclass=ABCMeta): pass
class StoriesStealthMode(Serializable, metaclass=ABCMeta): pass
class MediaAreaCoordinates(Serializable, metaclass=ABCMeta): pass
class MediaArea(Serializable, metaclass=ABCMeta): pass
class PeerStories(Serializable, metaclass=ABCMeta): pass
class Booster(Serializable, metaclass=ABCMeta): pass
